> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ulm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Device Authorization Request

> Use this API to initate the device authorization flow by requesting a verification code.



## OpenAPI

````yaml /portal/Amdocs_Media-MarketONE-OIDC-Released-resolved.yaml post /devicecode
openapi: 3.0.1
info:
  title: Connect OIDC APIs
  description: >-
    APIs that are used to provide, validate and assert user identities for
    Single Sign-On (SSO), and API workloads


    The APIs may be accessed through an active web session within the
    application (i.e. any JavaScript running on the server itself) or through
    authorizing a client application through OIDC or OAuth 2.0.


    The APIs can be accessed via a tenant specific domain.
  version: Draft-Go
servers:
  - url: https://nxt-ulm-pdt.m1amdocs.io/oidc
security: []
tags:
  - name: OIDC
    description: Public user API for OpenId connect specification
paths:
  /devicecode:
    post:
      tags:
        - OIDC
      summary: Device Authorization Request
      description: >-
        Use this API to initate the device authorization flow by requesting a
        verification code.
      operationId: deviceAuthorization
      parameters:
        - name: client_id
          in: query
          description: OAuth 2.0 client-ID of the Relying Party.
          required: true
          style: form
          explode: true
          schema:
            type: string
        - name: com.uxpsystems.device_id
          in: query
          description: The device ID.
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: x-process-debug
          in: query
          description: Flag to enable generation of the debug data.
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: scope
          in: query
          description: The requested scopes
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceCodeResponse200'
        '400':
          description: Bad Request - If the Token Request is invalid or unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceCodeResponse400'
components:
  schemas:
    DeviceCodeResponse200:
      required:
        - device_code
        - user_code
        - verification_uri
      type: object
      properties:
        device_code:
          type: string
          description: The device verification code.
          example: b8152b4e-941a-47e5-b1c3-3a84b597b057
        user_code:
          type: string
          description: The end-user verification code.
          example: VV75TT
        verification_uri:
          type: string
          description: >-
            The end-user verification URI on the authorization server.  The URI
            should be short and easy to remember as end users will be asked to
            manually type it into their user agent.
          example: https://some.telco.io/oidc/device
        verification_uri_complete:
          type: string
          description: >-
            A verification URI that includes the "user_code" (or other
            information with the same function as the "user_code"), which is
            designed for non-textual transmission.
        expires_in:
          type: integer
          description: The lifetime in seconds of the device_code and user_code.
          example: 300
        interval:
          type: integer
          description: >-
            The minimum amount of time in seconds that the client SHOULD wait
            between polling requests to the token endpoint.  If no value is
            provided, clients MUST use 5 as the default.
          example: 10
        ulm_details:
          $ref: '#/components/schemas/DeviceCodeResponse200UlmDetails'
    DeviceCodeResponse400:
      type: object
      properties:
        error:
          type: string
          example: invalid_client
          enum:
            - invalid_request
            - invalid_client
            - invalid_scope
            - invalid_token
        error_description:
          type: string
          description: Description of the error
          example: Invalid client
    DeviceCodeResponse200UlmDetails:
      type: object
      properties:
        notification_type:
          type: string
          description: The type of device code notification that was sent
          example: EMAIL
        notification_dest:
          type: string
          description: The destination to which the device code notification was sent
          example: p***i@gmail.com
      description: A set of key/value pairs useful for storing additional information.
      example: null

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.